function[stationdiam,samp,igeo,xs,x1,rho]= liftoff_step6(isys,ilast,de,U,freq,ref,m_per_ft,num)
%
%  liftoff_step6.m, ver 1.0  April 19,2005
%
rho=0;
x1=0.;
xs=0.;
igeo=0;
stationdiam=0.;
%
disp(' ');
disp(' Choose geometry for source allocation');
%
disp(' 1=   single nozzle, undeflected (Smith & Brown)');
disp(' 2=   single nozzle, undeflected (Morgan & Young)');
disp(' 3= multiple nozzles, undeflected');
disp(' 4= deflected, open scoop');
disp(' 5= deflected, closed bucket ');
%
igeo=input(' ');
%
if(igeo ~=1 & igeo ~=2 & igeo ~=3 & igeo ~=4 & igeo ~=5 )
    igeo =1;
end
%
if(igeo==1)  %single nozzle, undeflected (Smith & Brown)  Fig 14 from SP-8072
%	
		 sns(1)=ref;
		 sns(2)=1.0e-03;
		 sns(3)=2.0;
		 sns(4)=1.0e+12;
%
		 asap(1)=90.;
		 asap(2)=90.;
		 asap(3)=17.;
		 asap(4)=17.*0.999;
%
		 isn=4;
%		
end
if(igeo==2)  %single nozzle, undeflected (Morgan & Young)  Fig 14 from SP-8072
%	
		 sns(1)=ref;
		 sns(2)=1.0e-03;
		 sns(3)=2.0e-02;
		 sns(4)=5.0e-02;
		 sns(5)=2.0e-00;
		 sns(6)=1.0e+12;
%
		 asap(1)=30.;
		 asap(2)=30.;
		 asap(3)=26.;
		 asap(4)=18.;
		 asap(5)=10.;
		 asap(6)=10.*0.999;
%
		 isn=6;
end
if(igeo==3) %multiple nozzles, undeflected   Fig 14 from SP-8072
%	
		 sns(1)=ref;
		 sns(2)=1.0e-03;
		 sns(3)=7.0e-03;
		 sns(4)=1.2e-02;
		 sns(5)=1.0e-01;
		 sns(6)=2.0e-00;
		 sns(7)=1.0e+12;
%
		 asap(1)=90.;
		 asap(2)=90.;
		 asap(3)=45.;
		 asap(4)=35.;
		 asap(5)=17.;
		 asap(6)=10.;
		 asap(7)=10.*0.999;
%
		 isn=7;
end
if(igeo==4)  %deflected, open scoop    Fig 14 from SP-8072
%	
		 sns(1)=ref;
		 sns(2)=1.0e-03;
		 sns(3)=1.0e-02;
	     sns(4)=4.0e-02;
		 sns(5)=1.0e-01;
	     sns(6)=5.0e-01;
		 sns(7)=1.0e-00;
		 sns(8)=2.0e-00;
		 sns(9)=1.0e+12;
%
		 asap(1)=35.;
		 asap(2)=35.;
		 asap(3)=32.;
		 asap(4)=25.;
		 asap(5)=18.;
		 asap(6)=5.;
		 asap(7)=2.1;
		 asap(8)=0.2;
		 asap(9)=0.2*0.999;
%
		 isn=9;
end
if(igeo==5) %deflected, closed bucket   Fig 14 from SP-8072
%	
		 sns(1)=ref;
		 sns(2)=1.0e-03;
		 sns(3)=5.0e-02;
		 sns(4)=1.0e-01;
		 sns(5)=1.0e-00;
		 sns(6)=1.0e+12;
%
		 asap(1)=17.;
		 asap(2)=17.;
		 asap(3)=8.;
		 asap(4)=6.;
		 asap(5)=0.3;
		 asap(6)=0.3*0.999;
%
		 isn=6;
     end
%
	if(igeo==4 | igeo==5)
%	
		if(isys==1)
			disp(' Enter distance (inches) from nozzle exit to ground. ');           
			x1=input('');	
		    x1=x1*m_per_ft/12.; 
		else	
			disp(' Enter distance (meters) from nozzle exit to ground.');
			x1=input('');
        end
%
		disp(' Enter angle (deg) rho from deflected exhaust '); 
		disp(' flow axis to ground (typical value 10 degrees ). ');
%	
		rho=input('');
%
end
%
%%	disp(' Enter number of stations of interest.');
%%	scanf('%d',&isi);
%
	isi=1;
%
disp(' ');
disp(' Note:  station length is referenced to nozzle exit plane ');
%
for(ijk=1:isi)
%
        if(isys==1)
			disp(' Enter station length (inches) ');      
		else	
			disp(' Enter station length (meters) ');
        end
%
	    xs=input('');
%
		if(isys==1)
			xs=xs*m_per_ft/12.; 
        end
%%%
%
% source_allocate
%
    disp(' ');
    disp(' source allocation ');
%
    iii=length(freq);
%
    for(i=1:iii)
%
        samp(i)=0.;
        strouhal = freq(i)*de/U;
%
        for(j=1:(num-1))
%
            if(strouhal==sns(j))
                samp(i)=asap(i);   % asap - apparent source allocation position
				break;
            end
%           
            if( strouhal>sns(j) && strouhal<sns(j+1) )
%			
		        slope=log10(asap(j+1)/asap(j))/log10(sns(j+1)/sns(j));
		        samp(i) = asap(j)*( (strouhal/sns(j) )^slope);
%
		        break;
            end
        end
    end
    iii=length(samp);
    for(i=1:iii)
		samp(i)=samp(i)*de;
    end
%
    if(isys==1)
			disp(' Enter station diameter (in)');           
    else
			disp(' Enter station diameter (m)');
    end    
    stationdiam=input(' ');
%        
    if(isys==1)
	    stationdiam=stationdiam*m_per_ft/12.; 
    end
end     