function[spl,delta]=liftoff_step8(spl,freq,stationdiam,cspeed,beta_rad)		
%
%  liftoff_step8, ver 1.0  April 19,2005
%
% blocked    
%
% Wilby correction factor for pressure reflections at the surface of the vehicle.
% Wilby document, equation 15, page 30.
%
% strouhal, stationdiam, cspeed,beta
%
iii=length(spl);
for(i=1:iii)
    delta(i)=0.;
%    
	    sinB=sin(beta_rad(i));
%
        ZZ=sinB*pi*freq(i)*stationdiam/cspeed;
%
	    if(ZZ <= 0.1)
            delta(i)=3.;
        end    
%
	    if(ZZ > 0.1 & ZZ < 12.8)
%
		    ZZ=2.*log10(1.25*ZZ)/log10(10.);
%		
		    delta(i)=1.5*(3.+tanh(ZZ));
        end
%
	    if(ZZ >= 12.8)
            delta(i)=6.;
        end
%
    spl(i)=spl(i)+delta(i);
%
    if(i>=2 )  % apply smoothing (conservative)
        if(spl(i-1)-spl(i) > 4.5)
            spl(i)=spl(i-1)-4.5;
        end
    end
%    
%    out1=sprintf(' %12.4g  %12.4g  %12.4g  %12.4g  %12.4g',freq(i),beta_rad(i),ZZ,delta(i),spl(i));
%    disp(out1);
end